Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.taglib
Class AjaxValidatorTag

    java.lang.Object
      javax.faces.webapp.UIComponentTagBase
          javax.faces.webapp.UIComponentClassicTagBase
              javax.faces.webapp.UIComponentELTag
                  org.richfaces.webapp.taglib.UIComponentELTagBase
                      org.ajax4jsf.webapp.taglib.UIComponentTagBase
                          org.richfaces.taglib.AjaxValidatorTagBase
                              org.richfaces.taglib.AjaxValidatorTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspIdConsumer, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

    public class AjaxValidatorTag

extends AjaxValidatorTagBase

Field Summary

Fields inherited from class javax.faces.webapp.UIComponentClassicTagBase
`bodyContent, pageContext, UNIQUE_ID_PREFIX`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Constructor Summary
`AjaxValidatorTag()`

Method Summary
`java.lang.String` | `getComponentType()`
`java.lang.String` | `getRendererType()`
`void` | `release()`
`void` | `setAjaxListener(javax.el.MethodExpression __ajaxListener)` MethodExpression representing an action listener method that will be notified when this component is activated by the ajax Request and handle it.
`void` | `setAjaxSingle(javax.el.ValueExpression __ajaxSingle)` Setter for ajaxSingle
`void` | `setData(javax.el.ValueExpression __data)` Serialized (on default with JSON) data passed on the client by a developer on AJAX request.
`void` | `setDisableDefault(javax.el.ValueExpression __disableDefault)` disableDefault Setter for disableDefault
`void` | `setEventsQueue(javax.el.ValueExpression __eventsQueue)` Name of requests queue to avoid send next request before complete other from same event.
`void` | `setFocus(javax.el.ValueExpression __focus)` id of element to set focus after request completed on client side Setter for focus
`void` | `setIgnoreDupResponses(javax.el.ValueExpression __ignoreDupResponses)` Attribute allows to ignore an Ajax Response produced by a request if the newest 'similar' request is in a queue already. ignoreDupResponses="true" does not cancel the request while it is processed on the server, but just allows to avoid unnecessary updates on the client side if the response isn't actual now Setter for ignoreDupResponses
`void` | `setImmediate(javax.el.ValueExpression __immediate)` immediate Setter for immediate
`void` | `setLimitToList(javax.el.ValueExpression __limitToList)` If "true", updates on client side ONLY elements from this 'reRender' property.
`void` | `setOnbeforedomupdate(javax.el.ValueExpression __onbeforedomupdate)` JavaScript code for call before DOM has been updated on client side Setter for onbeforedomupdate
`void` | `setOncomplete(javax.el.ValueExpression __oncomplete)` JavaScript code for call after request completed on client side Setter for oncomplete
`void` | `setOnsubmit(javax.el.ValueExpression __onsubmit)` JavaScript code for call before submission of ajax event Setter for onsubmit
`void` | `setParentProperties(javax.el.ValueExpression __parentProperties)` parentProperties Setter for parentProperties
`void` | `setProcess(javax.el.ValueExpression __process)` Id['s] (in format of call UIComponent.findComponent()) of components, processed at the phases 2-5 in case of AjaxRequest caused by this component.
`protected void` | `setProperties(javax.faces.component.UIComponent component)`
`void` | `setRenderRegionOnly(javax.el.ValueExpression __renderRegionOnly)` renderRegionOnly Setter for renderRegionOnly
`void` | `setRequestDelay(javax.el.ValueExpression __requestDelay)` Attribute defines the time (in ms.) that the request will be wait in the queue before it is ready to send.
`void` | `setReRender(javax.el.ValueExpression __reRender)` Id['s] (in format of call UIComponent.findComponent()) of components, rendered in case of AjaxRequest caused by this component.
`void` | `setSelfRendered(javax.el.ValueExpression __selfRendered)` selfRendered Setter for selfRendered
`void` | `setStatus(javax.el.ValueExpression __status)` ID (in format of call UIComponent.findComponent()) of Request status component Setter for status
`void` | `setSubmitted(javax.el.ValueExpression __submitted)` submitted Setter for submitted
`void` | `setTimeout(javax.el.ValueExpression __timeout)` Response waiting time on a particular request.

Methods inherited from class org.richfaces.taglib.AjaxValidatorTagBase
`doStartTag, getFacetName, setEvent`

Methods inherited from class org.ajax4jsf.webapp.taglib.UIComponentTagBase
`getExpressionFactory, isValueReference, setActionListenerProperty, setActionProperty, setBooleanProperty, setBooleanProperty, setDoubleProperty, setDoubleProperty, setFloatProperty, setFloatProperty, setIntegerProperty, setIntegerProperty, setLongProperty, setLongProperty, setProperty, setProperty, setStringProperty, setStringProperty, setValueChangedListenerProperty, setValueProperty, setValueProperty`

Methods inherited from class org.richfaces.webapp.taglib.UIComponentELTagBase
`setActionListenerProperty, setActionProperty, setConverterProperty, setRowKeyConverterProperty, setValidatorProperty, setValueChangeListenerProperty`

Methods inherited from class javax.faces.webapp.UIComponentELTag
`createComponent, getELContext, hasBinding, setBinding, setRendered`

Methods inherited from class javax.faces.webapp.UIComponentClassicTagBase
`addChild, addFacet, addVerbatimAfterComponent, addVerbatimBeforeComponent, createVerbatimComponent, createVerbatimComponentFromBodyContent, doAfterBody, doEndTag, doInitBody, encodeBegin, encodeChildren, encodeEnd, findComponent, getBodyContent, getComponentInstance, getCreated, getCreatedComponents, getDoAfterBodyValue, getDoEndValue, getDoStartValue, getFacesContext, getFacesJspId, getId, getIndexOfNextChildTag, getJspId, getParent, getParentUIComponentClassicTagBase, getPreviousOut, setBodyContent, setId, setJspId, setPageContext, setParent, setupResponseWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`doEndTag, getParent, setPageContext, setParent`

Constructor Detail

### AjaxValidatorTag

    public AjaxValidatorTag()

Method Detail

### setAjaxListener

    public void setAjaxListener(javax.el.MethodExpression __ajaxListener)

  MethodExpression representing an action listener method that will be notified when this component is activated by the ajax Request and handle it. The expression must evaluate to a public method that takes an AjaxEvent parameter, with a return type of void Setter for ajaxListener

  Parameters:
    `ajaxListener` - - new value

### setAjaxSingle

    public void setAjaxSingle(javax.el.ValueExpression __ajaxSingle)

  Setter for ajaxSingle

  Parameters:
    `ajaxSingle` - - new value

### setData

    public void setData(javax.el.ValueExpression __data)

  Serialized (on default with JSON) data passed on the client by a developer on AJAX request. It's accessible via "data.foo" syntax Setter for data

  Parameters:
    `data` - - new value

### setDisableDefault

    public void setDisableDefault(javax.el.ValueExpression __disableDefault)

  disableDefault Setter for disableDefault

  Parameters:
    `disableDefault` - - new value

### setEventsQueue

    public void setEventsQueue(javax.el.ValueExpression __eventsQueue)

  Name of requests queue to avoid send next request before complete other from same event. Can be used to reduce number of requests of frequently events (key press, mouse move etc.) Setter for eventsQueue

  Parameters:
    `eventsQueue` - - new value

### setFocus

    public void setFocus(javax.el.ValueExpression __focus)

  id of element to set focus after request completed on client side Setter for focus

  Parameters:
    `focus` - - new value

### setIgnoreDupResponses

    public void setIgnoreDupResponses(javax.el.ValueExpression __ignoreDupResponses)

  Attribute allows to ignore an Ajax Response produced by a request if the newest 'similar' request is in a queue already. ignoreDupResponses="true" does not cancel the request while it is processed on the server, but just allows to avoid unnecessary updates on the client side if the response isn't actual now Setter for ignoreDupResponses

  Parameters:
    `ignoreDupResponses` - - new value

### setImmediate

    public void setImmediate(javax.el.ValueExpression __immediate)

  immediate Setter for immediate

  Parameters:
    `immediate` - - new value

### setLimitToList

    public void setLimitToList(javax.el.ValueExpression __limitToList)

  If "true", updates on client side ONLY elements from this 'reRender' property. If "false" (default) updates all rendered by ajax region components Setter for limitToList

  Parameters:
    `limitToList` - - new value

### setOnbeforedomupdate

    public void setOnbeforedomupdate(javax.el.ValueExpression __onbeforedomupdate)

  JavaScript code for call before DOM has been updated on client side Setter for onbeforedomupdate

  Parameters:
    `onbeforedomupdate` - - new value

### setOncomplete

    public void setOncomplete(javax.el.ValueExpression __oncomplete)

  JavaScript code for call after request completed on client side Setter for oncomplete

  Parameters:
    `oncomplete` - - new value

### setOnsubmit

    public void setOnsubmit(javax.el.ValueExpression __onsubmit)

  JavaScript code for call before submission of ajax event Setter for onsubmit

  Parameters:
    `onsubmit` - - new value

### setParentProperties

    public void setParentProperties(javax.el.ValueExpression __parentProperties)

  parentProperties Setter for parentProperties

  Parameters:
    `parentProperties` - - new value

### setProcess

    public void setProcess(javax.el.ValueExpression __process)

  Id['s] (in format of call UIComponent.findComponent()) of components, processed at the phases 2-5 in case of AjaxRequest caused by this component. Can be single id, comma-separated list of Id's, or EL Expression with array or Collection Setter for process

  Parameters:
    `process` - - new value

### setReRender

    public void setReRender(javax.el.ValueExpression __reRender)

  Id['s] (in format of call UIComponent.findComponent()) of components, rendered in case of AjaxRequest caused by this component. Can be single id, comma-separated list of Id's, or EL Expression with array or Collection Setter for reRender

  Parameters:
    `reRender` - - new value

### setRenderRegionOnly

    public void setRenderRegionOnly(javax.el.ValueExpression __renderRegionOnly)

  renderRegionOnly Setter for renderRegionOnly

  Parameters:
    `renderRegionOnly` - - new value

### setRequestDelay

    public void setRequestDelay(javax.el.ValueExpression __requestDelay)

  Attribute defines the time (in ms.) that the request will be wait in the queue before it is ready to send. When the delay time is over, the request will be sent to the server or removed if the newest 'similar' request is in a queue already Setter for requestDelay

  Parameters:
    `requestDelay` - - new value

### setSelfRendered

    public void setSelfRendered(javax.el.ValueExpression __selfRendered)

  selfRendered Setter for selfRendered

  Parameters:
    `selfRendered` - - new value

### setStatus

    public void setStatus(javax.el.ValueExpression __status)

  ID (in format of call UIComponent.findComponent()) of Request status component Setter for status

  Parameters:
    `status` - - new value

### setSubmitted

    public void setSubmitted(javax.el.ValueExpression __submitted)

  submitted Setter for submitted

  Parameters:
    `submitted` - - new value

### setTimeout

    public void setTimeout(javax.el.ValueExpression __timeout)

  Response waiting time on a particular request. If a response is not received during this time, the request is aborted Setter for timeout

  Parameters:
    `timeout` - - new value

### release

    public void release()

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `AjaxValidatorTagBase`

### setProperties

    protected void setProperties(javax.faces.component.UIComponent component)

  Overrides:
    `setProperties` in class `AjaxValidatorTagBase`

### getComponentType

    public java.lang.String getComponentType()

  Overrides:
    `getComponentType` in class `AjaxValidatorTagBase`

### getRendererType

    public java.lang.String getRendererType()

  Overrides:
    `getRendererType` in class `AjaxValidatorTagBase`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.